Subject: [Sipping] Re: Comments on draft-johnston-sipping-p2p-ipcom-01.txt

From: "Johnston, Alan" <[email-masked]>
Date: Wed, 30 Mar 2005 15:15:30 +0100

Philip,

I don't propose a SIP only Location Service Protocol - it would do generic URI to URI mapping, suitable for AOR to Contact URI resolution for SIP but also useful for other protocols such as H.323, XMPP, etc.

The question of reuse is whether a P2P network designed for file sharing or content distribution should be reused for this application.

As the requirements are so different, it seems not to be a good choice.

My views on SIP as a transport for the P2P prtocol are well known ;-)

Thanks,
Alan Johnston
sip:[email-masked]

-----Original Message-----
From: Philip Matthews <[email-masked]>
To: Johnston, Alan <[email-masked]>
CC: sipping <[email-masked]>
Sent: Tue Mar 29 14:23:45 2005
Subject: Re: Comments on draft-johnston-sipping-p2p-ipcom-01.txt

Johnston, Alan wrote:
> Yes - this is true and should be pointed out.  There are, however, some
> good reasons to build a separate protocol rather than try to piggy back
> on top of some existing file sharing P2P network - these, too should be
> pointed out.

In my mind, this is a key question: Do we produce be a peer-to-peer protocol
that is SIP-specific, or do we produce a general peer-to-peer protocol and
layer SIP on top of it.

I confess that I am attracted to the latter simply because it seems like
the RIGHT THING to do. A general purpose protocol is always much more useful
than a specific protocol.

I remember someone (I think it was Cullen, but I may be wrong) saying at
the last IETF meeting that he was worried that a general purpose protocol
would cause certain network administrators to want to block it. Though I certainly
understand why he said that, to me this says that we are doing what is wrong
technically for political reasons.

- Philip

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP